# PSF-LoginServer - master - net.psforever.objects.vital.resolution.ResolutionCalculations
PSF - LoginServer - master - net.psforever.objects.vital.resolution.ResolutionCalculations
Keywords: PSF LoginServer master net.psforever.objects.vital.resolution.ResolutionCalculations

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package resolution
  Definition Classes
    vital
- DamageAndResistance
- DamageResistanceCalculations
- DamageResistanceModel
- ResolutionCalculations

o

net.psforever.objects.vital.resolution

# ResolutionCalculations 

###
Companion trait ResolutionCalculations

#### object ResolutionCalculations

Source
  ResolutionCalculations.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ResolutionCalculations
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Form = (Selector, Format, DamageInteraction) => Output
2.  type Output = (PlanetSideGameObject with FactionAffinity) => DamageResult

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ComplexDeployableApplication(damage: Int, data: DamageInteraction)(target: PlanetSideGameObject with FactionAffinity): DamageResult
5.  def DamageToHealthOnly(currentHP: Int)(damages: Int, resistance: Int): (Int, Int)
6.  def InfantryApplication(damageValues: (Int, Int), data: DamageInteraction)(target: PlanetSideGameObject with FactionAffinity): DamageResult

   The expanded `(Any)=>Unit` function for infantry.

   The expanded `(Any)=>Unit` function for infantry. Apply the damage values to the capacitor (if shielded NC max), health field and personal armor field for an infantry target.

   damageValues

     a tuple containing damage values for: health, personal armor

   data

     the historical damage information

   target

     the `Player` object to be affected by these damage values (at some point)

7.  def InfantryDamage(data: DamageInteraction): (Int, Int) => (Int, Int)
8.  def InfantryDamageAfterResist(currentHP: Int, currentArmor: Int)(damages: Int, resistance: Int): (Int, Int)
9.  def MaxDamage(data: DamageInteraction): (Int, Int) => (Int, Int)
10.  def MaxDamageAfterResist(currentHP: Int, currentArmor: Int)(damages: Int, resistance: Int): (Int, Int)
11.  def NoApplication(damageValue: Int, data: DamageInteraction)(target: PlanetSideGameObject with FactionAffinity): DamageResult
12.  def NoDamage(data: DamageInteraction)(a: Int, b: Int): Int
13.  def SimpleApplication(damage: Int, data: DamageInteraction)(target: PlanetSideGameObject with FactionAffinity): DamageResult
14.  def SubtractWithRemainder(current: Int, damage: Int): (Int, Int)
15.  def VehicleApplication(damage: Int, data: DamageInteraction)(target: PlanetSideGameObject with FactionAffinity): DamageResult

    The expanded `(Any)=>Unit` function for vehicles.

    The expanded `(Any)=>Unit` function for vehicles. Apply the damage value to the shield field and then the health field (that order) for a vehicle target.

    damage

      the raw damage

    data

      the historical damage information

    target

      the `Vehicle` object to be affected by these damage values (at some point)

16.  def VehicleDamageAfterResist(damages: Int, resistance: Int): Int
17.  def VehicleDamageAfterResist(data: DamageInteraction): (Int, Int) => Int

    Unlike with `Infantry*` and with `Max*`'s, `VehicleDamageAfterResist` does not necessarily need to validate its target object.

    Unlike with `Infantry*` and with `Max*`'s, `VehicleDamageAfterResist` does not necessarily need to validate its target object. The required input is sufficient.

    data

      the historical damage information

    returns

      a function literal for dealing with damage values and resistance values together

18.  def WildcardApplication(damage: Any, data: DamageInteraction)(target: PlanetSideGameObject with FactionAffinity): DamageResult
19.  def WildcardCalculations(data: DamageInteraction): (Int, Int) => Any
20.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
21.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
22.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
24.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
25.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped